SINGULARITY(1)

NAME
Singularity - Linux Application Containers

SYNOPSIS
singularity [global options...] <command> [command options...] ...

DESCRIPTION
Singularity provides an application virtualization layer enabling mobility of compute via both application and environment portability. With Singularity one is capable of building a root file system and running that root file system on any other Linux system where Singularity is installed.

OPTIONS

-h/--help/help
    Print usage summary

--version
    Print Singularity version

-v/--verbose
    For each pass of verbose, increase verbosity

-d/--debug
    Print LOTS of debugging output (including user and process information)

FILES
${sysconfdir}/singularity/singularity.conf
    The system wide configuration file. This file must be root owned for Singularity to parse it.

EXAMPLES

$ singularity help
    Will print a generalized usage summary and available commands.

$ singularity help <command>
    Additional help for any of the Singularity commands can be seen by appending the command name to the above command.

DOCUMENTATION
Full documentation can be found on the Singularity web site at: http://singularity.lbl.gov/

BUGS
Please submit bug reports to the GitHub issue tracker at https://github.com/singularityware/singularity/issues/new

AUTHOR
Gregory M. Kurtzer <gmkurtzer@lbl.gov>